Google AdSense

Sunset Edition
This update of the plugin is the last publicly released version. We do not expect to make any serious changes or add new features to it from now on.

We may not always be able to provide prompt support for this plugin on the WordPress.org forums. If you would like to have professional support or extra/custom features, oorweeg die koop van die Ultra weergawe

Advertensies EZ Inprop vir Google AdSense bied 'n vaartbelynde koppelvlak Google-advertensies op jou blog te sit. Jy kan die kleure pas, groottes en plasing van die advertensie blokke en aktiveer reg van die plugin interface.The admin interface gebruik 'n hoogs funksionele en moderne koppelvlak gebaseer op die twitter bootstrap raamwerk vrygewige, context-sensitive help on every single option.

Live Demo

Google AdSense administrateur koppelvlak is funksie ryk, user-friendly and functional. Please visit this fully operational live demo site to see what it can do for you.

Advertensies EZ Inprop vir Google AdSense is 'n gespesialiseerde weergawe van Google AdSense Ultra, wat kan jy bestuur in basiese, standaard en kundige modes, almal in 'n pragtige ontwerp moderne koppelvlak.

Funksies

  • Ryk vertoon en aanpassing opsies.
  • Beheer oor die posisie en die vertoning van die advertensie blokke in elke pos of page.
  • Persoonlike Google-koppelvlak met kleur plukkers.
  • Widgets vir jou sidebar.
  • Pragtig ontwerp, ten volle reageer, intuïtieve.
  • Inline redigering en direkte besparing van jou opsies met AJAX (nie meer in te dien / verfris ens)
  • An interface tour to familiarize yourself with the plugin features and layout.
  • Popover help for every option in the plugin.
  • Ability to spawn the plugin interface as a separate tab/window independent of the WordPress admin interface.
  • Robuuste kodebasis en opsie / voorwerp modelle.

Pro weergawe

Advertensies EZ Inprop vir Google AdSense is die vrylik versprei weergawe van 'n premie plugin. Die Ultra weergawe gee jou selfs meer funksies.

  • Veilige inhoud filter: Om te verseker dat jou Google AdSense advertensies net op die bladsye wat lyk om te voldoen aan beleid van Google AdSense, wat belangrik kan wees, aangesien 'n paar opmerkings van jou bladsye wat strydig is met die beleid kan lewer.
  • IP filter: Vermoë om 'n lys van rekenaars te spesifiseer waar jou advertensies sal nie vertoon word, ten einde toevallige druk om te verhoed dat op jou eie advertensies -- een van die vernaamste redes AdSense jy verbied. Hierdie eienskappe sal jou kans om verban verminder.
  • Verenigbaarheid modus: Die kwessie van die advertensie te voeg op te los geknoei jou bladsy verskynings by die gebruik van 'n paar temas.
  • Category/Post Control: Ability to suppress ads on specific categories, posts and pages.
  • Shortcode Support: Wys die advertensies net op die bladsye of poste wat jy wil hê, en presies waar jy wil hê hulle.
  • Mobile Support: Ability to show different sets of ads on mobile devices, or to suppress ads.
  • Excerpts: Vermoë om 'n konfigureerbare aantal van advertensies op Uittreksels te wys (waaruit die tuisblad in sommige temas).
  • Option Sets: Multiple option sets can be defined and easily switched between.
  • Suspend Ads: Ability to temporarily suppress ad serving.
  • Admin Interface Themes: Multiple color schemes for the admin interface.
  • Ad Serving Statistics: Keep an eye on your ad serving statistics to make sure that Google is not shortchanging you. (Optional paid module)
  • Basiese / Expert Modes: Jy kan kies om dit te bedryf in basiese of kundige modes bykomend tot die standaard af.

Die Ultra weergawe koste $9.45 en kan wees gekoop online met onmiddellike aflaai skakel.

Installasie

Searching

The easiest way to install this plugin is to use the WordPress Admin interface. Go to your admin dashboard, find the "Proppe" menu, and click on "Add New". Search for this plugin and click on "Install Now" and follow the WordPress instructions.

Uploading

If you want to download it and manually install, you can again use the WordPress dashboard interface. First download the plugin zip file to your local computer. Then go to your admin dashboard, find the "Proppe" menu, and click on "Add New". After clicking on the "Add New" menu item as above, click on "Upload" (below the title "Install Plugins" near the top). Browse for your downloaded zip file, upload it and activate the plugin.

Using Plugin Interface

Further updates (and Pro upgrades and module installations) to the plugin can be done easily from the plugin admin page itself, by clicking on the Updates button on the top right corner.

Die professionele weergawe van die prop te installeer, deactivage asseblief die Lite weergawe (indien enige) eerste. Laai dan die zip-lêer wat jy aflaai na jou aankoop met behulp van die WordPress admin interface hieronder getoon.

[install]

Die prop is updated ook deur die volgende dieselfde proses, verkieslik uit die prop adminblad waar jy sal sien 'n lêer oplaai vorm wanneer 'n update is gereed. Die eerste werk vir jou gekoop plugin is altyd gratis.

Screenshots

  1. Advertensies EZ Inprop vir Google AdSense "Oorsig" blad. & nbsp; & nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 1
  2. . Hoe om die opsies vir advertensies EZ Inprop vir Google AdSense & nbsp te stel; & nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 2
  3. Gevorderde opset van die plugin. & Nbsp; & nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 3
  4. Opsies veiligheid te ondersteun, verenigbaarheid, mobiele toestelle en kategorie / post beheer. & nbsp; & nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 4

Change Log

  • V4.20: Compatibility with WP4.8. Sunset edition. [Augustus 1, 2017]
  • V4.10: Compatibility with WP4.6. Many accumulated fixes and changes. Releasing the sunset version. [Oktober 12, 2016]
  • V4.00: Compatibility with WP4.5. [April 12, 2016]
  • V3.98: Improvements in the Google Translator interface. Compatibility with multisite installaton of subdomain type. [Februarie 28, 2016]
  • V3.97: Minor interface and documentation changes. [Februarie 25, 2016]
  • V3.95: Work-around for servers that refuse to save ad code because of the script tag. [Februarie 18, 2016]
  • V3.94: Restricting Google Translate not to translate user-editable strings. Optimizing screenshots. [Februarie 7, 2016]
  • V3.94: Ensuring widget titles can be suppressed in Easy AdSense. [Jan 27, 2016]
  • V3.93: Adding diagnostic information on the update page. [Jan 20, 2016]
  • V3.92: Changes to make the plugin compatible with multisite installations. [Jan 14, 2016]
  • V3.91: Adding a dev-friendly include to introduce local settings, indien enige. [Desember 30, 2015]
  • V3.90: Compatibility with WordPress 4.4. [Desember 5, 2015]
  • V3.82: Making the admin menu dynamic (optionally) in standalone mode. Improving DB layer error handling. [November 29, 2015]
  • V3.81: Warning about PHP V5.4 requirement on the admin page. [November 8, 2015]
  • V3.80: Admin pages in your language using Google translation. [Oktober 22, 2015]
  • V3.73: Renaming the Mobile_Detect class for compatibility. [Oktober 14, 2015]
  • V3.72: Improving the speed of admin page loading. [September 30, 2015]
  • V3.71: Killing the option to allow update checks. [September 26, 2015]
  • V3.70: Changes to make the plugin work on nginx and Microsoft servers. [September 20, 2015]
  • V3.64: Ensuring usability on touch-screen devices. [September 17, 2015]
  • V3.63: Reinstating the option to force the admin page loading, moving to a less colorful default theme. [September 14, 2015]
  • V3.62: Geringe refactoring veranderinge. [September 12, 2015]
  • V3.61: Adding the missing EzPlugin.php.[September 9, 2015]
  • V3.60: Removing WP core file loading. [September 4, 2015]
  • V3.52: Fixing a minor error in text-wrapping around the bottom ad. [Augustus 20, 2015]
  • V3.51: Ensuring plugin admin files can be loaded in an iFrame. [Augustus 19, 2015]
  • V3.50: Compatibility with WordPress 4.3. [Augustus 10, 2015]
  • V3.42: Fixing the "Database Replace/Insert Error" that affected some servers. [Augustus 8, 2015]
  • V3.41: Fixing a bug in mobile detection. [Augustus 1, 2015]
  • V3.40: The plugin now remembers the last used tab. SQL schema change for better compatibility. Fixing a bug that may have caused the plugin not to display ads on some pages/posts. New option to control mid-text ad position in pro version. [Kersfees 30, 2015]
  • V3.35: Minor improvements in setup, plugin active status check and AJAX functions. [Kersfees 26, 2015]
  • V3.34: Minor changes in links. [Jun 25, 2015]
  • V3.33: Slegs dokumentasie veranderinge. [Jun 18, 2015]
  • V3.32: Admin page improvements. [Mei 22, 2015]
  • V3.31: Admin page compatibility checks and improvements. [Mei 12, 2015]
  • V3.30: Compatibility with WordPress 4.2. [April 25, 2015]
  • V3.23: Preparing the codebase for the release of AJAX AdSense. [April 17, 2015]
  • V3.22: Improvements in the admin dashboard. [April 14, 2015]
  • V3.21: Improvements in the admin dashboard. [April 14, 2015]
  • V3.20: Launching a demo site. [April 11, 2015]
  • V3.19: More changes in the compatibility check. [April 7, 2015]
  • V3.18: Fixing a style that may have caused the admin page not to appear on some blogs. [April 4, 2014]
  • V3.17: More compatibility checks. [April 2, 2015]
  • V3.16: Minor fixes. [Maart 27, 2015]
  • V3.15: Fixing a bug that prevented custom fields from working properly. [Maart 26, 2015]
  • v3.14: Minor bug fix on ad suppression while not in loop. [Maart 25, 2015]
  • V3.13: Adding error handling for updates. [Maart 24, 2015]
  • V3.12: Serious bug fix related to multiple passes of the content filter. Introducing a verbosity option. [Maart 22, 2015]
  • V3.11: Minor bug fixes, and adding diagnostic comments. [Maart 21, 2015]
  • V3.10: This twitter-bootstrap version of the plugin is now feature-complete. [Maart 19, 2015]
  • V3.09: Adding information about how to revert to the non-AJAX version of the plugin. [Maart 16, 2015]
  • V3.08: Documentation and usability enhancements. [Maart 13, 2015]
  • V3.07: Documentation and usability enhancements. [Maart 11, 2015]
  • V3.06: More changes for compatibility with PHP5.30. [Maart 11, 2015]
  • V3.04: Improvements in the login check functions. Various accumulated fixes. [Maart 9, 2015]
  • V3.03: Killing anonymous functions for compatibility with PHP versions older than 5.3. [Maart 8, 2015]
  • V3.02: Changes to the activation validation checks. [Maart 7, 2015]
  • V3.01: Modifications to the update module. Minor code clean up. [Maart 5, 2015]
  • V3.00: Complete rewrite of the plugin with a lot more features. Admin page based on the twitter bootstrap framework. [Maart 3, 2015]
  • V2.50: Compatibility with WP4.1. [Jan 8, 2015]
  • V2.40: Renaming the plugin as requested by Google. [November 30, 2014]
  • V2.30: Outomatiese opsies migrasie op plugin aktivering. [September 26, 2014]
  • V2.22: Minor change to the admin interface. [September 9, 2011]
  • V2.21: Verenigbaarheid met WP4.0. [September 8, 2014]
  • V2.20: Verenigbaarheid met WP4.0. [September 7, 2014]
  • V2.12: Opdatering vertalings, minor bug fixes. [Kersfees 17, 2014]
  • V2.11: Minor bug fix. [Mei 8, 2014]
  • V2.10: Internasionalisering en verenigbaarheid met WP3.9. [Mei 7, 2014]
  • V2.00: Groot veranderinge aan die ontwerp -- voeg 'n vertaling koppelvlak, gereed opsies hantering te verander. [Maart 22, 2014]
  • V1.81: Toevoeging van opsies advertensies op taai voorblad of soek bladsye te onderdruk. [Jan 5, 2013]
  • V1.80: Verenigbaarheid tjeks vir WordPress V3.8. Foutherstellings in opsies migrasie. [Desember 18, 2013]
  • V1.70: Compatibility checks for WordPress V3.7. [November 11, 2013]
  • V1.60: Verenigbaarheid met WP3.6. [Augustus 10, 2013]
  • V1.50: Adding an admin page translator. [Mei 22, 2013]
  • V1.46: Foutherstellings (Fatale fout: Bel-time slaag-by-verwysing is verwyder). [Jan 24, 2013]
  • V1.45: Bugfix. [Desember 22, 2012]
  • V1.44: Die handhawing van die Google-beleid op die aantal advertensies, en die maak van die kroeg-id inskrywing buigsaam. [November 4, 2012]
  • V1.43: Minor changes to validate the readme.txt. [Oktober 21, 2012]
  • v1.42: Minor changes to validate the readme.txt. [Oktober 21, 2012]
  • V1.41: Initial public release of the lite version. [Oktober 21, 2012]
  • V1.40: Admin koppelvlak veranderinge. [September 30, 2012]
  • V1.31: Die versorging van debug kennisgewings van WordPress debug modus. [Augustus 28, 2012]
  • V1.30: Initial public listing at WordPress.org. [Julie 18, 2012]
  • V1.20: Foutherstellings, coding improvements. [September 9, 2011]
  • V1.00: Aanvanklike vrystelling. [November 15, 2010]

Algemene Vrae

Hoe kan ek beheer oor die voorkoms van die advertensie blokke met behulp van CSS?

Alle <div>s that Ads EZ Plugin for Google AdSense creates have the class attribute adsense. Verder, hulle het die klas eienskappe soos adsense-top, adsense-bottom ens, Jy kan die styl wat vir hierdie klasse in jou tema style.css hulle voorkoms te beheer.

Kan ek bepaal hoe die advertensie blokke word geformateer in elke bladsy?

Ja! In Ads EZ Plugin for Google AdSense, jy meer opsies [deur custom fields] ad blokke in individuele poste / bladsye te beheer. Voeg pasgemaakte velde met sleutels soos adsense-top, adsense-middle, adsense-bottom en met waardes soos verlaat, reg, center of doen nie beheer hoe die advertensie blokke vertoon in elke pos of page te hê. Die waarde "doen nie" onderdruk al die advertensie blokke in die pos of page vir daardie verskaffer.

Hoe gebruik ek short?

In the Pro version of this plugin, you can control the ad placements using the shortcode [adsense] in jou blog boodskappe en bladsye. If you would like to place your ads using shortcodes, please enable it on the Pro page.

By verstek, net die advertensies wat deur die shortcode sal vertoon word (when shortcodes are enabled). You can specify how the plugin handles shortcode priority using a drop-down menu. You have these choices:

  • Do auto placements if shortcode is missing
  • Do not place any ads if shortcode is missing
  • Always ignore shortcodes and do only auto placement
  • Do not place any ads in posts/pages

The last option effectively disables the plugin for the body of posts and pages, verlaat die widgets onaangeraak.

I don't understand the Pro features. Porn en terrein blok - can't you set those during Asdense ad setup?

Wat jy in AdSense is 'n vermoë advertensies van sekere webtuistes te blokkeer. Byvoorbeeld, As jy nie wil advertensies uit my site "thulasidas.com", jy kan dit verstop. Wat die pro-weergawe gee jou die vermoë om advertensies te sluit te sekere kliënte. Dit is, as jy nie wil hê dat besoekers uit sekere IP adresse sien jou advertensies (omdat hulle kan op te veel van hulle, Aan jou AdSense rekening verban, byvoorbeeld), jy kan met my plugin.

Porn blok is ook soortgelyk -- Google kan jy kies nie-porn advertensies (Ek dink). Wat my plugin doen, is om te kyk na die inhoud van jou bladsy, en blok advertensies as dit lyk soos 'n porno-bladsy. (Dit kan gebeur as 'n spammer poste 'n porno soort kommentaar op jou blog, wat weer kan jou AdSense rekening verban.)

How do I report a bug or ask a question?

Please report any problems, and share your thoughts and comments at the plugin forum at WordPress Of kontak my.

As jy 'n vraag oor die Pro weergawe, asseblief nie gebruik maak van die forum wat by WordPress.org, maar Kontak die prop skrywer gebruik van ons ondersteuning portaal.

Can I go back to the previous version of the plugin? I don't like the modern bootstrap/AJAX interface.

You can download the previous version and install it. First deactivate and delete the latest version of the plugin, and then follow the Uploading method under the Installasie section of this document. The new version uses an completely different options model, and your old options are left intact in your database, so that you can go back anytime.

Why do I get error message saying something about direct access to plugin files?

This plugin admin interface is designed with a loosely coupled architecture, which means it interacts with the WordPress core only for certain essential services (login check, plugin activation status, database access etc). Loosely coupled systems tend to be more robust and flexible than tightly integrated ones because they make fewer assumptions about each other. My plugin admin pages are fairly independent, and do not pollute the global scope or leak the style directives or JavaScript functions. In order to achieve this, they are loaded in iFrames within the WordPress admin interface.

Your web server needs direct access to the plugin files to load anything in an iFrame. Some aggressive security settings block this kind of access, usually through an .htaccess file in your wp-content of plugins folders, which is why this plugin gives a corresponding error message if it detects inability to access the files (checked through a file_get_contents call on a plugin file URL). But some systems implement further blocks specifically on file_get_contents or on iFrames with specific styles (die gebruik van mod_securty rules, byvoorbeeld), which is why the plugin provides a means to override this auto-detection and force the admin page.

Is the direct access to plugin files a security hole?

Note that it is only your own webserver that needs direct access to the PHP files. The reason for preventing such access is that a hacker might be able to upload a malicious PHP (or other executable script) to your web host, which your webserver will run if asked to. Such a concern is valid only on systems where you explicitly permit unchecked file uploads. Byvoorbeeld, if anyone can upload any file to your media folder, and your media folder is not protected against direct access and script execution, you have given the potential hacker an attack vector. This plugin has no upload facility, so allowing your webserver to serve the plugin admin files in an iFrame is completely safe, in my judgement.

WP-Plus

WP PlusHierdie en ander plugins geïnstalleer kan word en moeiteloos met behulp van bestuur WP-Meer -- die volgende generasie van WordPress, ontwikkel vir die professionele blogger wat professionele plugins en temas eis. As jy 'n professionele plugin ontwikkelaar of 'n blogger (een wat hoop om 'n lewe te maak uit blog of blog-verwante Develop), nie check dit uit!
Sien ook:& Nbsp; & nbsp;Ander plugins
As jy wil my plugin pogings, laat asseblief 'n comment met jou Facebook login hieronder.
As jy hulp nodig, gebruik ons ondersteuning portaal plaas. & Nbsp;ezSupport Portal
[Trots aan u gebring deur EZ BetaalPal.]

Kommentaar